{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [
    <nixos-hardware/raspberry-pi/4>
  ];

  boot.loader.raspberryPi.firmwareConfig = ''
    dtoverlay=vc4-kms-v3d,noaudio
    dtoverlay=hifiberry-digi-pro
  '';

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-label/NIXOS_SD";
      fsType = "ext4";
      options = [ "noatime" ];
    };
  };
}

